@import "../../../../../../App.scss";

.flights_info_data_body_item {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(7, auto);
  grid-template-rows: repeat(4, auto);
  grid-template-areas: 
    ". airline airline airline . . info"
    "radio from-code from-code stopovers to-code to-code luggage-icon"
    "radio from-time from-time stopovers to-time to-plus luggage-icon"
    ". duration duration duration duration duration duration";
  margin-bottom: 10px;
  &-airline {
    grid-area: airline;
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }
  &-radio {
    grid-area: radio;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-left: 10px;
    height: 100%;
  }
  &-info {
    grid-area: info;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-right: 10px;
    &-icon_mobile {
      display: block;
    }
    &-icon_desktop {
      display: none;
    }
  }
  &-stopovers {
    grid-area: stopovers;
    position: relative;
    font-size: 0.8em;
    align-self: center;
    margin: 0 5px;				
    &_title {
      text-align: center;
    }
    &_points {
      position: relative;
      &_line {
        width: 100%;
        border: 0.5px solid #444444;
      }
      &_wrapper {
        position: absolute;
        display: flex;
        justify-content: space-around;
        align-items: center;
        top: -8.5px;
        left: 0;
        width: 100%;
        height: 18px;
        &_point {
          position: relative;
          border: 1px solid #444444;
          width: 6px;
          height: 6px;
          border-radius: 50%;
          background: #FFFFFF;
          &:first-of-type {
            margin-left: 4px;
          }
          &:last-of-type {
            margin-right: 4px;
          }
        }
      }
    }
  }
  &-duration {
    grid-area: duration;
    font-size: 0.8em;
    align-self: center;
  }
}
@media screen and (min-width: 768px) {
  .flights_info_data_body_item {
    display: grid;
    grid-template-columns: 4% 29% 6.5% 13.5% 6.5% 4.25% 8.25% 15% 5%;
    grid-template-rows: 100%;
    grid-template-areas:
      "radio airline from-time stopovers to-time to-plus duration luggage-icon info";
    grid-column-gap: 1%;
    &-info {
      &-icon_mobile {
        display: none;
      }
      &-icon_desktop {
        display: block;
      }
    }
    &-airline {
      display: flex;
      justify-content: center;
      align-self: center;
    }
    &-luggage_icons {
      justify-content: flex-start;
      align-self: center;
    }
    &-from_code,
    &-to_code {
      display: none;
    }
    &-from_time,
    &-to_time {
      font-size: 0.8em;
      font-weight: 700;
    }
    &-duration-time {
      color: $light;
      font-weight: 700;
    }
    &-stopovers {
      font-size: 0.6em;	
    }
    &-duration-title {
      display: none;
    }
  }
}